apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: opti
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    name: 'in-cluster'
    namespace: opti
  source:
    path: opti
    repoURL: 'https://gitlab.com/nicolas.fidel/infra-test.git'
    targetRevision: HEAD
  project: default
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true

